ACLOCAL(1)

NAME
aclocal - automatically generate aclocal.m4 from configure.in

SYNOPSIS
aclocal [ --acdir=DIR ] [ --help ] [ -I DIR ] [ --output=FILE ] [ --verbose ] [ --version ]

DESCRIPTION

Automake includes a number of Autoconf macros which can be used in your package; some of them are actually required by Automake in certain situations. These macros must be defined in your aclocal.m4; otherwise they will not be seen by autoconf.

The aclocal program will automatically generate aclocal.m4 files based on the contents of configure.in. This provides a convenient way to get Automake-provided macros, without having to search around. Also, the aclocal mechanism is extensible for use by other packages.

At startup, aclocal scans all the .m4 files it can find, looking for macro definitions. Then it scans configure.in. Any mention of one of the macros found in the first step causes that macro, and any macros it in turn requires, to be put into aclocal.m4.

The contents of acinclude.m4, if it exists, are also automatically included in aclocal.m4. This is useful for incorporating local macros into configure.

aclocal accepts the following options:

--acdir=DIR
    Look for the macro files in DIR instead of the installation directory. This is typically used for debugging.

--help
    Print a summary of the command line options and exit.

-I DIR
    Add the directory DIR to the list of directories searched for .m4 files.

--output=FILE
    Cause the output to be put into FILE instead of aclocal.m4.

--verbose
    Print the names of the files it examines.

--version
    Print the version number of Automake and exit.

SEE ALSO
automake(1), and the Texinfo documentation for automake

AUTHORS
Automake was written primarily by David Mackenzie and Tom Tromey. This manpage written by Ben Pfaff <pfaffben@pilot.msu.edu> for the Debian GNU/Linux automake package.